  *******************   Status Bar Demo   *******************

message='Testing the status bar.....'
for percent_done=0 to 100 step .2
	=status_bar(message,percent_done)
endfor

=deac_status()

***************************************************************
* To activate the status bar the following syntax is required *
*															  *
*		=status_bar(message,percent_done)                     *
*															  *
*			where	message is a character string holding	  *														
*							the displayed message			  *
*															  *
*					percnet_done is a numeric value between	  *
*							0 and 100						  *
*															  *
* To deactivate the status bar issue the following			  *
*															  *
*		=deac_status()										  *
*															  *
***************************************************************



FUNC status_bar
	PARA message,sofar

	sofar=IIF(sofar>100,100,ROUND(sofar,0))
	bar_red=IIF(sofar<67,255,0)
	bar_green=IIF(BETWEEN(sofar,33,66),127,IIF(sofar>66,194,0))
	bar_blue=0

	IF !WEXIST('therm')
		DEFINE WINDOW therm ;
			AT  0.000, 0.000  ;
			SIZE 7.769,76.400 ;
			FONT "MS Sans Serif", 8 ;
			NOFLOAT ;
			NOCLOSE ;
			NOMINIMIZE ;
			NONE ;
			COLOR RGB(,,,192,192,192)
		MOVE WINDOW therm CENTER
		ACTIVATE WINDOW therm

		@ 3.615,6.600 TO 5.692,69.600 ;
			PEN 2, 8 ;
			COLOR RGB(128,128,128,,,,)
		@ 5.615,6.800 TO 5.615,69.600 ;
			PEN 1, 8 ;
			STYLE "1" ;
			COLOR RGB(255,255,255,255,255,255)
		@ 5.538,7.000 TO 5.538,69.600 ;
			PEN 1, 8 ;
			STYLE "1" ;
			COLOR RGB(255,255,255,255,255,255)
		@ 3.692,69.400 TO 5.692,69.400 ;
			PEN 1, 8 ;
			COLOR RGB(255,255,255,255,255,255)
		@ 3.769,69.200 TO 5.692,69.200 ;
			PEN 1, 8 ;
			COLOR RGB(255,255,255,255,255,255)
		@ 4.000,8.200 TO 5.385,8.2+(.592*sofar);
			PATTERN 1 ;
			PEN 1, 8 ;
			COLOR RGB(,,,bar_red,bar_green,bar_blue)
		@ 0.846,7.600 SAY message ;
			SIZE 1.000,50.333 ;
			FONT "Arial", 11 ;
			STYLE "BI" ;
			COLOR RGB(255,255,255,192,192,192)
		@ 0.000,0.000 TO 7.769,76.400 ;
			PEN 2, 8 ;
			COLOR RGB(128,128,128,,,,)
		@ 7.692,0.200 TO 7.692,76.400 ;
			PEN 1, 8 ;
			STYLE "1" ;
			COLOR RGB(255,255,255,255,255,255)
		@ 7.615,0.400 TO 7.615,76.400 ;
			PEN 1, 8 ;
			STYLE "1" ;
			COLOR RGB(255,255,255,255,255,255)
		@ 0.077,76.200 TO 7.769,76.200 ;
			PEN 1, 8 ;
			COLOR RGB(255,255,255,255,255,255)
		@ 0.154,76.000 TO 7.769,76.000 ;
			PEN 1, 8 ;
			COLOR RGB(255,255,255,255,255,255)
		@ 6.154,34.000 SAY ALLT(STR(sofar))+'%' ;
			SIZE 1.000,6.833 ;
			FONT "Arial", 10 ;
			STYLE "B" ;
			COLOR RGB(255,255,255,,,,)
	ELSE
		IF NOT WVISIBLE("therm")
			ACTIVATE WINDOW therm
		ENDIF

		@ 4.000,8.200 TO 5.385,8.2+(.592*sofar);
			PATTERN 1 ;
			PEN 1, 8 ;
			COLOR RGB(,,,bar_red,bar_green,bar_blue)
		@ 6.154,34.000 SAY ALLT(STR(sofar))+'%' ;
			SIZE 1.000,6.833 ;
			FONT "Arial", 10;
			STYLE "B" ;
			COLOR RGB(255,255,255,,,)

	ENDIF


PROC deac_status
	RELEASE WINDOW therm
